Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class CategoryKey

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.catalog.CatalogItemKey
            |
            +--com.beasys.commerce.ebusiness.catalog.CategoryKey

public class CategoryKey
extends CatalogItemKey

The CategoryKey class is used to index and retrieve Category objects.

See Also:
  Serialized Form

Field Summary
`static CategoryKey` | `ROOT` This key allows you to specify retrieval of items from the root of the category hierarchy.

Constructor Summary
`CategoryKey()` Default constructor.
`CategoryKey(java.lang.String identifier)` Class constructor.

Method Summary
`java.lang.Object` | `clone()` clone implementation for CategoryKey.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.CatalogItemKey
`compareTo, equals, getIdentifier, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ROOT

    public static final CategoryKey ROOT

  This key allows you to specify retrieval of items from the root of the category hierarchy.

Constructor Detail

### CategoryKey

    public CategoryKey()

  Default constructor.

### CategoryKey

    public CategoryKey(java.lang.String identifier)

  Class constructor.

  Parameters:
    `identifier` - A `Category` identifier.

Method Detail

### clone

    public java.lang.Object clone()

  clone implementation for CategoryKey.

  Returns:
    a clone of this object.
  Overrides:
    clone in class CatalogItemKey

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved